gr::radar::estimator_fsk_impl Class Reference

`#include <estimator_fsk_impl.h>`

Inheritance diagram for gr::radar::estimator_fsk_impl:

## Public Member Functions

| estimator_fsk_impl (float center_freq, float delta_freq, bool push_power)
| ~estimator_fsk_impl ()
void | handle_msg (pmt::pmt_t msg)

## Public Attributes

float | d_center_freq
float | d_delta_freq
bool | d_push_power
pmt::pmt_t | d_port_id_in
pmt::pmt_t | d_port_id_out
std::vector< float > | d_freq
std::vector< float > | d_phase
pmt::pmt_t | d_ptimestamp
pmt::pmt_t | d_pfreq
pmt::pmt_t | d_pphase
pmt::pmt_t | d_ppower
std::vector< float > | d_vel
pmt::pmt_t | d_value
pmt::pmt_t | d_vel_key
pmt::pmt_t | d_vel_value
pmt::pmt_t | d_vel_pack
std::vector< float > | d_range
pmt::pmt_t | d_range_key
pmt::pmt_t | d_range_value
pmt::pmt_t | d_range_pack

## Static Public Attributes

static constexpr float | c_light = 3e8

## Additional Inherited Members

Public Types inherited from gr::radar::estimator_fsk
typedef std::shared_ptr< estimator_fsk > | sptr
Static Public Member Functions inherited from gr::radar::estimator_fsk
static sptr | make (float center_freq, float delta_freq, bool push_power=false)
| Return a shared_ptr to a new instance of radar::estimator_fsk.

## Constructor & Destructor Documentation

## estimator_fsk_impl()

gr::radar::estimator_fsk_impl::estimator_fsk_impl | ( | float | center_freq,
|  | float | delta_freq,
|  | bool | push_power )

## ~estimator_fsk_impl()

gr::radar::estimator_fsk_impl::~estimator_fsk_impl | ( |  | ) |

## Member Function Documentation

## handle_msg()

void gr::radar::estimator_fsk_impl::handle_msg | ( | pmt::pmt_t | msg | ) |

## Member Data Documentation

## c_light

float gr::radar::estimator_fsk_impl::c_light = 3e8

static constexpr

## d_center_freq

float gr::radar::estimator_fsk_impl::d_center_freq

## d_delta_freq

float gr::radar::estimator_fsk_impl::d_delta_freq

## d_freq

std::vector<float> gr::radar::estimator_fsk_impl::d_freq

## d_pfreq

pmt::pmt_t gr::radar::estimator_fsk_impl::d_pfreq

## d_phase

std::vector<float> gr::radar::estimator_fsk_impl::d_phase

## d_port_id_in

pmt::pmt_t gr::radar::estimator_fsk_impl::d_port_id_in

## d_port_id_out

pmt::pmt_t gr::radar::estimator_fsk_impl::d_port_id_out

## d_pphase

pmt::pmt_t gr::radar::estimator_fsk_impl::d_pphase

## d_ppower

pmt::pmt_t gr::radar::estimator_fsk_impl::d_ppower

## d_ptimestamp

pmt::pmt_t gr::radar::estimator_fsk_impl::d_ptimestamp

## d_push_power

bool gr::radar::estimator_fsk_impl::d_push_power

## d_range

std::vector<float> gr::radar::estimator_fsk_impl::d_range

## d_range_key

pmt::pmt_t gr::radar::estimator_fsk_impl::d_range_key

## d_range_pack

pmt::pmt_t gr::radar::estimator_fsk_impl::d_range_pack

## d_range_value

pmt::pmt_t gr::radar::estimator_fsk_impl::d_range_value

## d_value

pmt::pmt_t gr::radar::estimator_fsk_impl::d_value

## d_vel

std::vector<float> gr::radar::estimator_fsk_impl::d_vel

## d_vel_key

pmt::pmt_t gr::radar::estimator_fsk_impl::d_vel_key

## d_vel_pack

pmt::pmt_t gr::radar::estimator_fsk_impl::d_vel_pack

## d_vel_value

pmt::pmt_t gr::radar::estimator_fsk_impl::d_vel_value

The documentation for this class was generated from the following file:

- estimator_fsk_impl.h